<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.sms.mapper.SmsTempTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.component.msg.model.SmsTempType" >
    <id column="SMS_TEMP_TYPE_ID" property="smsTempTypeId" jdbcType="BIGINT" />
    <result column="SMS_TEMP_TYPE_NAME" property="smsTempTypeName" jdbcType="VARCHAR" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="STATUS_ID" property="statusId" jdbcType="BIGINT" />
  </resultMap>
  <sql id="Base_Column_List" >
    SMS_TEMP_TYPE_ID, SMS_TEMP_TYPE_NAME, UPDATE_TIME, CREATE_TIME, STATUS_ID
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from sms_temp_type
    where SMS_TEMP_TYPE_ID = #{smsTempTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from sms_temp_type
    where SMS_TEMP_TYPE_ID = #{smsTempTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.component.msg.model.SmsTempType" >
    insert into sms_temp_type (SMS_TEMP_TYPE_ID, SMS_TEMP_TYPE_NAME, UPDATE_TIME, 
      CREATE_TIME, STATUS_ID)
    values (#{smsTempTypeId,jdbcType=BIGINT}, #{smsTempTypeName,jdbcType=VARCHAR}, #{updateTime,jdbcType=CHAR}, 
      #{createTime,jdbcType=CHAR}, #{statusId,jdbcType=BIGINT})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.component.msg.model.SmsTempType" >
    insert into sms_temp_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="smsTempTypeId != null" >
        SMS_TEMP_TYPE_ID,
      </if>
      <if test="smsTempTypeName != null" >
        SMS_TEMP_TYPE_NAME,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="statusId != null" >
        STATUS_ID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="smsTempTypeId != null" >
        #{smsTempTypeId,jdbcType=BIGINT},
      </if>
      <if test="smsTempTypeName != null" >
        #{smsTempTypeName,jdbcType=VARCHAR},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="statusId != null" >
        #{statusId,jdbcType=BIGINT},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.component.msg.model.SmsTempType" >
    update sms_temp_type
    <set >
      <if test="smsTempTypeName != null" >
        SMS_TEMP_TYPE_NAME = #{smsTempTypeName,jdbcType=VARCHAR},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="statusId != null" >
        STATUS_ID = #{statusId,jdbcType=BIGINT},
      </if>
    </set>
    where SMS_TEMP_TYPE_ID = #{smsTempTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.component.msg.model.SmsTempType" >
    update sms_temp_type
    set SMS_TEMP_TYPE_NAME = #{smsTempTypeName,jdbcType=VARCHAR},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      STATUS_ID = #{statusId,jdbcType=BIGINT}
    where SMS_TEMP_TYPE_ID = #{smsTempTypeId,jdbcType=BIGINT}
  </update>
</mapper>